propel:
  usuario:
    id:                                ~
    usuario:                           { type: varchar(32), required: true }
    clave:                             { type: varchar(40) }
    nombre:                            { type: varchar(60), required: true, primaryString: true }
    apellido:                          { type: varchar(60), required: true }
    participante_id:                   ~
    revisor:                           { type: boolean, default: false }
    supervisor:                        { type: boolean, default: false }
    vo_bo:                             { type: boolean, default: false } 
    administrador:                     { type: boolean, default: false }
    archivos:                          { type: boolean, default: false }
    created_at:                        ~
    updated_at:                        ~
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    _uniques:
      llave:                           [ usuario ]
  participante:
    id:                                ~
    nombre:                            { type: varchar(260), required: true, primaryString: true }
    apellido:                          { type: varchar(260), required: true }
    observaciones:                     { type: longvarchar }
    proyecto_id:                       ~ 
    created_at:                        ~
    updated_at:                        ~
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
  empresa:
    id:                                ~
    prefijo:	                       { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    direccion:                         { type: varchar(260) }  	
    telefono:                          { type: varchar(260) }  	
    encargado:                         { type: varchar(260) }  
    observaciones:                     { type: longvarchar }	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  	
  proyecto:
    id:                                ~
    empresa_id:                        ~	 
    prefijo:	                         { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    direccion:                         { type: varchar(260) }  	
    telefono:                          { type: varchar(260) }  	
    encargado:                         { type: varchar(260) } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
  tipificacion:
    id:                                ~
    prefijo:	                         { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
  fuente_hallazgo:
    id:                                ~
    tipificacion_id:                   ~
    orden:                             { type: integer } 
    prefijo:	                       { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
  identificacion_hallazgo:
    id:                                ~
    prefijo:	                         { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
    orden:                             { type: integer } 
  division_hallazgo:
    id:                                ~
    orden:                             { type: integer } 
    prefijo:	                         { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  
  dispocision_tomar:
    id:                                ~
    orden:                             { type: integer } 
    prefijo:	                         { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~    
  usuario_proyecto:
    id:                                ~
    usuario_id:                        ~
    proyecto_id:                        ~
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~       
  correlativo:
    id:                                ~
    ano:                               { type: integer } 
    proyecto_id:                       ~
    numero:                            { type: integer } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
    empresa_id:                        ~
    tipo_accion:                       { type: varchar(32) } 
    
  analisis_hallazgo:
    id:                                ~
    orden:                             { type: integer } 
    descripcion:                       { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~      
  tipo_seguimiento:
    id:                                ~
    orden:                             { type: integer } 
    prefijo:                           { type: varchar(32) } 
    descripcion:                       { type: varchar(260), required: true, primaryString: true } 
    dias_sugeridos:                    { type: integer } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~     
    inicial:                           { type: boolean, default: false } 
    informativo:                       { type: boolean, default: false }     
  estatus:
    id:                                ~
    codigo:                            { type: varchar(32) }
    descripcion:                       { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~      
  conformidad:
    id:                                ~
    nombre:                            { type: varchar(320) }
    proyecto_id:                       ~
    descripcion:                       { type:  longvarchar, required: true, primaryString: true }
    fecha:                             { type: date } 
    fuente_hallazgo_id:                ~
    referencia_comprobada:             { type: varchar(520) }
    reportado_por:                     { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false } 
    causa_raiz:                        { type:  longvarchar, required: true, primaryString: true }  
    estatus_id:                        ~
    cerrado_por:                       { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false } 
    fecha_cerrado:                     { type: date }  
    vo_bo_por:                         { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false } 
    fecha_vo_bo:                       { type: date } 
    accion_inmediata:                  { type:  longvarchar, required: true, primaryString: true } 
    dispocision_final:                 { type:  longvarchar, required: true, primaryString: true }      
    responsable_dispocision:           { type: varchar(520) }   
    fecha_disposicion:                 { type: date } 
    fecha_fin:                         { type: date }  
    no_revision:                       { type: integer }
    codigo_conformidad:                { type: varchar(50) }
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~   
    comentarios_cierre:                { type: varchar(520) }
    comentarios_vo_bo:                 { type: varchar(520) }
    comentario_analisis:               { type: varchar(520) }
    tipo_analisis:                     { type: varchar(100) }
    objetivo_analisis:                 { type: varchar(520) }
    punto_mejora:                      { type: varchar(320) }
    responsable_mejora:                { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false }   
    division_hallazgo_id:              ~  
    responsable_seguimiento:           { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false }   
    eficaz:                            { type: varchar(3) }   
    responsable_cierre:                { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false }   
    responsable_cierre_csi:            { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false }   
    fecha_cierre:                      { type: date } 
    fecha_cierre_csi:                  { type: date }         
    empresa_id:                        ~
    tipo_accion:                       { type: varchar(200) }
    estatus_actual:                    { type: varchar(300) }
    fecha_proximo_seguimiento:         { type: date } 
    texto_seguimiento:                 { type: varchar(300) }
    no_tiempo:                         { type: integer, default: 0 }
    sistema_pertenece_id:              ~
    fecha_ultima:                      { type: date } 
    division_hallazgo_reporta:         { type: integer }  
    
  conformidad_detalle_hallazgo:
    id:                                ~  
    conformidad_id:                    ~  
    identificacion_hallazgo_id:        ~  
    division_hallazgo_id:               ~  
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~   
  conformidad_disposicion:
    id:                                ~  
    conformidad_id:                    ~  
    dispocision_tomar_id:              ~  
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~   
  conformidad_costo:
    id:                                ~  
    conformidad_id:                    ~  
    tipo_costo_id:                     ~
    cantidad:                          { type: integer }
    unidad:                            { type: varchar(320) }
    costo:                             { type: double }
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~
    nombre_costo:                      { type: varchar(200) }
  conformidad_analisis_hallazgo:
    id:                                ~  
    conformidad_id:                    ~  
    analisis_hallazgo_id:               ~
    comentarios:                       { type: longvarchar }
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~ 
  conformidad_seguimieto:
    id:                                ~  
    conformidad_id:                    ~  
    tipo_seguimiento_id:               ~
    participante_id:                   ~
    comentarios:                       { type: longvarchar }
    fecha_inicio:                      { type: date }
    fecha_fin:                         { type: date }
    observaciones:                     { type: longvarchar } 
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  
    revisado:                          { type: boolean, default: false}
    revisado_por:                      { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false } 
    fecha_revision:                    { type: date }
    observaciones_revision:            { type: longvarchar } 
    informativo:                       { type: boolean, default: false}
    observaciones_csi:                 { type: longvarchar } 
    
  conformidad_seguimieto_encargado:
    id:                                ~  
    conformidad_id:                    ~ 
    participante_id:                   ~
    conformidad_seguimieto_id:         ~
  tipo_costo:
    id:                                ~
    nombre:                            { type: varchar(32)}
    descripcion:                       { type: varchar(100)}
    orden:                             { type: integer }
    observaciones:                     { type: longvarchar }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~     
  usuario_empresa:
    id:                                ~
    empresa_id:                        ~
    usuario_id:                        ~
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~ 
  conformidad_seguimieto_analisis:
    id:                                ~  
    conformidad_id:                    ~  
    participante_id:                   ~
    paso_seguir:                       { type: longvarchar } 
    observaciones_revision:            { type: longvarchar }
    fecha_validacion:                  { type: date }
    observaciones:                     { type: longvarchar } 
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  
    revisado:                          { type: boolean, default: false}
    revisado_por:                      { type: integer, foreignTable: participante, foreignReference: id, index: true, required: false } 
  perfil:
     id:                                ~
     descripcion:                       { type: varchar(100), primaryString: true}
     activo:                            { type: boolean, default: true }
     created_by:                        { type: varchar(32) }
     updated_by:                        { type: varchar(32) }
     created_at:                        ~
     updated_at:                        ~  
  menu_seguridad:
     id:                                ~
     descripcion:                       { type: varchar(100), primaryString: true }
     credencial:                        { type: varchar(100)}
     modulo:                            { type: varchar(100)}
     icono:                             { type: varchar(50)}
     accion:                            { type: varchar(100)}
     superior:                          { type: integer }
     created_by:                        { type: varchar(32) }
     updated_by:                        { type: varchar(32) }
     created_at:                        ~
     updated_at:                        ~
  usuario_perfil:
     id:                                ~
     perfil_id:                         ~
     usuario_id:                        ~
     created_by:                        { type: varchar(32) }
     updated_by:                        { type: varchar(32) }
     created_at:                        ~
     updated_at:                        ~     
  perfil_menu:
     id:                                ~
     perfil_id:                         ~
     menu_seguridad_id:                 ~
     created_by:                        { type: varchar(32) }
     updated_by:                        { type: varchar(32) }
     created_at:                        ~
     updated_at:                        ~       
  sistema_pertenece:
    id:                                ~
    codigo:                            { type: varchar(32) }
    descripcion:                       { type: varchar(260), required: true, primaryString: true } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~      